/**
 * Copyright (c) 2015-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.communication.sharedarea.exception;

import org.ow2.petals.basisapi.exception.PetalsException;

/**
 * @author Christophe Deneux - EBM WebSourcing
 */
public class SharedAreaException extends PetalsException {

    private static final long serialVersionUID = -5029051400439994623L;

    public SharedAreaException(final String message) {
        super(message);
    }

    public SharedAreaException(final String message, final Throwable cause) {
        super(message, cause);
    }

    public SharedAreaException(final Throwable cause) {
        super(cause);
    }
}
